# $Revision: 1.59.2.2 $, $Date: 2003/02/11 21:17:15 $
Summary:	A WYSIWYM frontend to LaTeX
Summary(pl):	Nakadka WYSIWYM na LaTeXa
Summary(pt_BR):	Editor de Textos para ambiente Desktop
Name:		lyx
Version:	1.2.3
Release:	3
Epoch:		1
License:	GPL
Group:		Applications/Publishing/TeX
Source0:	ftp://ftp.lyx.org/pub/lyx/stable/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-am_fix.patch
Patch1:		%{name}-ac_fix.patch
Patch2:		%{name}-libconfigure.patch
Icon:		lyx.xpm
URL:		http://www.lyx.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
#BuildRequires:	gnomemm-devel
#BuildRequires:	gtkmm-devel >= 1.2.1
BuildRequires:	libstdc++-devel
BuildRequires:	tetex-fonts
BuildRequires:	xforms-devel >= 0.88
Prereq:		tetex
Requires:	gv
Requires:	tetex-fonts
Requires:	tetex-latex
Requires:	xdvi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_old_bindir	/usr/bin
%define		_old_datadir	/usr/share
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
LyX is a modern approach of writing documents with a computer which
breaks with the tradition of the obsolete typewriter concept. It is
designed for people who want a professional output with a minimum of
time effort, without becoming specialists in typesetting. Compared to
common word processors LyX will increase the productivity a lot, since
most of the typesetting will be done by the computer, not the author.
With LyX the author can concentrate on the contents of his writing,
since the computer will take care of the look.

%description -l pl
LyX jest nowoczesnym narzdziem sucym do pisania dokumentw
amicym dotychczasow, przestarza tradycj maszyny do pisania. LyX
zosta zaprojektowany dla ludzi, ktrzy chc tworzy profesjonalne
dokumenty przy jak najmniejszym nakadzie czasowym bez koniecznoci
bycia specjalist w skadzie tekstw. LyX pozwala autorowi skupi si
na zawartoci dokumentu podczas gdy komputer zajmie si ca reszt.

%description -l pt_BR
Lyx  uma forma moderna de escrever documentos com um computador sem
que isso quebre os conceitos de uso de uma mquina de escrever
tradicional. Ele  feito para pessoas que necessitam de um resultado
profissional com um mnimo de esforo, sem tambm ser um especialista
em fontes. Comparado com um editor de textos padro, LyX  um editor
de textos que ir aumentar a produtividade visto que as fontes sero
selecionadas pelo editor, no pelo digitador.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
rm -f acinclude.m4
%{__aclocal} -I config
%{__autoconf}
cd sigc++
%{__autoconf}
cd ../lib/reLyX
%{__autoconf}
cd ../..
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure \
	--enable-nls \
	--without-included-gettext \
	--disable-gtktest \
	%{?!debug:--without-debug} \
	--with-frontend=xforms
#	--with-gnome \
#	--with-gnomemm-config-path=/usr/X11R6/lib

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Office/Wordprocessors,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_old_datadir}/texmf/tex/latex/

%{__make} install DESTDIR=$RPM_BUILD_ROOT
#	localedir=$RPM_BUILD_ROOT%{_datadir}/locale \
#	gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Office/Wordprocessors
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

chmod a+rx $RPM_BUILD_ROOT%{_datadir}/lyx/configure

rm -f $RPM_BUILD_ROOT%{_datadir}/lyx/{doc/LaTeXConfig.lyx,packages.lst}
ln -sf %{_datadir}/lyx/tex $RPM_BUILD_ROOT%{_old_datadir}/texmf/tex/latex/lyx

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{_old_bindir}/texhash
cd %{_datadir}/lyx/
./configure > /dev/null || :
if [ -f lyxrc.defaults ]; then
	cp -p lyxrc.defaults lyxrc
fi

%postun
%{_old_bindir}/texhash

%preun
rm -f %{_datadir}/lyx/{lyxrc.defaults,lyxrc*}
rm -f %{_datadir}/lyx/{doc/LaTeXConfig.lyx,packages.lst}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ANNOUNCE README NEWS
%attr(755,root,root) %{_bindir}/*
%dir %{_old_datadir}/texmf/tex/latex/lyx
%attr(-, root,root) %{_datadir}/lyx
%{_mandir}/man*/*
%{_applnkdir}/Office/Wordprocessors/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lyx.spec,v $
Revision 1.59.2.2  2003/02/11 21:17:15  ankry
- shut up %%post script, rel. 3

Revision 1.59.2.1  2003/02/11 09:39:57  ankry
- merged changes from head, rel. 2

Revision 1.61  2003/02/03 15:25:14  qboosh
- 1.2.3, updated ac_fix patch, removed obsolete alpha patch
- fixed pixmapsdir

Revision 1.59  2002/10/29 01:34:52  ankry
- desktop moved to Office/Wordprocessors, cleaning, rel. 4

Revision 1.58  2002/10/07 13:49:48  qboosh
- BR: autoconf,automake

Revision 1.57  2002/09/05 10:48:59  qboosh
- fixed build on alpha, release 3

Revision 1.56  2002/07/13 19:17:14  mmazur
- bumped release
- use new %doc

Revision 1.55  2002/06/10 15:57:23  mmazur
- fixed building on nest. This should not break anything on ra. I hope :)
- btw: if anybody want's to turn on building with gtk go shoot yourself in
  the foot. Or use gnome2 instead :)

Revision 1.54  2002/05/30 15:49:35  kloczek
- add Epoch: 1 for allow upgrade from 1.2.0pre5 to 1.2.0,
- merge translations from Conectiva.

Revision 1.53  2002/05/30 14:56:17  mmazur
- updated to 1.2.0; STBR

Revision 1.52  2002/05/21 23:14:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/05/06 22:18:05  mmazur
- added tetex-fonts to Req and BR

Revision 1.50  2002/05/05 16:02:46  aflinta
- updated to version 1.2.0pre5

Revision 1.49  2002/05/04 10:55:42  mmazur
- builds... somebody test it :)

Revision 1.48  2002/05/03 09:59:07  mmazur
- yeah... configure finally works... now somebody has to deal with
xforms/gnomemm/(any other toolkit)

Revision 1.47  2002/05/03 08:17:32  mmazur
- added ac/am generation... though configure doesn't work... am working
on it

Revision 1.46  2002/05/01 17:56:48  aflinta
- started update to version 1.2.0pre4

Revision 1.45  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/07/26 07:52:37  kloczek
- use --without-debug conditionaly (depending on %%{debug}).

Revision 1.42  2001/07/25 15:00:33  undefine
- updated to 1.1.6fix3
- s/configure/configure2_13 (problems with m4 macros (?))

Revision 1.41  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.40  2001/02/17 14:01:01  misiek
configure needs +x

Revision 1.39  2001/02/17 13:57:06  misiek
1.1.6fix1. stb

Revision 1.38  2001/02/17 13:09:14  dobrek
- Add Prereq: tetex

Revision 1.37  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.36  2001/01/27 15:23:32  kloczek
- spec adapterized and added using rpm auatomation.

Revision 1.35  2001/01/27 14:48:15  misiek
Changed once again. STB

Revision 1.34  2001/01/27 13:36:49  misiek
exclusive arch due to xforms library

Revision 1.33  2001/01/27 00:19:44  misiek
1.1.6

Revision 1.32  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.31  2000/06/14 00:20:21  kloczek
- cosmetics,
- added beter C++ optimization "-fno-rtti -fno-exceptions" (it cut lyx
  binary size 25% - save ~500KB).

Revision 1.30  2000/06/14 00:18:14  kloczek
- spec adapterized,
- added package icon,
- desktop file moved to Office/Editors.

Revision 1.29  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.28  2000/06/06 18:02:11  klakier
- ver 1.1.5
- removed old patches
- removed DESTDIR and pl patches (looks to be included in sources)
- changed BuildRequires: XFree86-libs-devel to XFree86-devel
- rebuild (ok)

Revision 1.27  2000/05/11 13:53:06  misiek
- added fix3 patch

Revision 1.26  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.24  2000/03/27 15:49:24  misiek
- update

Revision 1.22  1999/10/11 17:33:59  kloczek
- now Serial is correct.

Revision 1.21  1999/10/11 16:06:52  kloczek
- fix serial.
